module test;

import dsfml.window.all;
import dsfml.system.all;
import dsfml.graphics.all;

import tileconsumer;
import renderer;
import consumer;
import imagecache;
import tilemap;
import tileset;
import xmlmap;
import tools;

int main(char[][] args) {
//    Tilemap map = parse_map(read_file_contents("map-example.xml"));
    Cache cache = new Cache("gfx");
    Tileset tileset = new Tileset(cache);
    Tilemap map = new Tilemap(tileset, 5, 5, 32, 32);
    tileset.add_tile(0, "grass.png");
    tileset.add_tile(1, "grass-stone-water-east.png");
    for(int x=0; x < 5; x++) {
	for(int y=0; y < 5; y++) {
	    map.map[0][x][y] = 0;
	}
    }
    map.map[1][1][1] = 1;

    Renderer render = new Renderer("Blubb", 600, 480, 32);
    TileConsumer consumer = new TileConsumer(render, map);
    render.add_consumer(consumer);

    render.mainloop();
    return 0; 
}
